Page MenuHomePhabricator

[Objective 4.2.1] KPIs to measure the growth and diversity of our technology audience
Closed, ResolvedPublic

Description

About:

Design a set of formal KPIs (key performance indicators) to measure the growth and diversity of our technology audience. See the relevant section of the annual plan for more details.

Subtasks:

  • Conduct structured interviews with team leads in Tech involved in building platforms with an externally-facing audience and get them to articulate who their core audience is, and how to characterize adoption of their platforms. T174733
  • Draft audience map and report of possible ways to measure the audience(s)

People:

Dependencies:

  • Mel (?)
  • Tech leads

Estimated quarter(s):

  • Q2 (interviews and first report)
  • Q3 (work on audience map/KPI proposals)

Research page: https://meta.wikimedia.org/wiki/Research:Growth_and_diversity_of_Technology_team_audiences

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2017, 9:02 PM
DarTar updated the task description. (Show Details)Jul 20 2017, 9:03 PM
DarTar updated the task description. (Show Details)
DarTar renamed this task from [Objective 4.2.1] Design a set of formal KPIs to measure the growth and diversity of our technology audience to [Objective 4.2.1] KPIs to measure the growth and diversity of our technology audience.Jul 20 2017, 9:07 PM
DarTar triaged this task as High priority.
DarTar updated the task description. (Show Details)
DarTar updated the task description. (Show Details)Aug 31 2017, 10:19 PM
DarTar updated the task description. (Show Details)Aug 31 2017, 11:24 PM
Capt_Swing updated the task description. (Show Details)
leila closed this task as Resolved.Jan 15 2019, 10:06 PM